Subject: bug#31240: 26.1; mouse-save-then-kill does not kill rectangles

From: Federico Tedin <[email-masked]>
Date: Sun, 19 Aug 2018 23:26:59 -0300

I've looked into this bug. Its seems like the problem is in mouse.el,
where line 1610 could be changed from:

(kill-region (mark t) (point)))

to:

(kill-region (mark t) (point) 'region))

Which would make kill-region use the (potentially rectangular) region
instead of BEG and END. The problem is, many mouse-related functions
still use functions such as filter-buffer-substring and delete-region,
which are not rectangular-region aware. Would submitting a patch for
this line only make sense?